<?php
$additionalConfiguration = [
	'BE' => [
		'debug' => true,
		'sessionTimeout' => '172800',
        'installToolPassword' => '$pbkdf2-sha256$25000$U2oKGtCHZs1HYsMoJn.kZA$TVmAlzgu1qN3wgRYb/7pGOGNwqyqKq6b9eFP.bt6ovs',
	],
	'FE' => [
        'debug' => true,
		// Show an error with the reason of the 404, if there is one
		'pageNotFound_handling' => true,
	],
	'SYS' => [
		'devIPmask' => '*',
		'displayErrors' => 1,
		'enableDeprecationLog' => 'file',
        'exceptionalErrors' => 12290,

        /**
         * 1: show only failed queries
         * 2: show all queries
         */
		'sqlDebug' => 1,

        /**
         * 0: info
         * 1: notice
         * 2: warning
         * 3: error
         * 4: fatal error
         */
        'systemLogLevel' => 0,
        'setMemoryLimit' => 4096
	],
];


$GLOBALS['TYPO3_CONF_VARS'] = array_replace_recursive($GLOBALS['TYPO3_CONF_VARS'], $additionalConfiguration);
