#!/bin/bash

# Import given sql-file into the database of the current installation, db_config from GetTypo3Config.sh
# Usage:
#   importSqlFile database.sql
function importSqlFile {
	db="$db_dbname -u $db_user -h $db_host -p$db_password -P $db_port"
	echo -e "$ importSqlFile $1"
	mysql $db < $1
	return $?
}

# Drop all tables in given database, db_config from GetTypo3Config.sh (exept database name)
# Usage:
#   dropAllTables database1
function dropAllTables {
	db="$1 -u $db_user -h $db_host -p$db_password -P $db_port"
	echo -e "$ mysql $1 $db -Nse 'show tables' | while read table; do echo \"drop table $table;\"; done | mysql $1 $db"
	mysql $db -Nse 'show tables' | while read table; do echo "drop table $table;"; done | mysql $db
}
