#!/bin/bash

###
### Define functions
###

function extensionsUsingSass {
    extensionsUsingSass=("$@")
}

function compileSassForExtensions {
    for extension in "${extensionsUsingSass[@]}"
    do
        sass $sassOptions "$projectPath/$webDir/typo3conf/ext/$extension/Resources/Private/Scss/:$projectPath/$webDir/typo3conf/ext/$extension/Resources/Public/Css/"
    done
}

# Compile SASS/SCSS for a specific TYPO3 extension using path conventions
# Usage:
#   sassTypo3Ext <typo3-extension-name>
#   sassTypo3Ext powermail
function sassTypo3Ext {
    EXT="$projectPath/$webDir/typo3conf/ext"
    sassReturn=""
    sass $sassOptions "$EXT/$1/Resources/Private/Scss/":"$EXT/$1/Resources/Public/Css/""$sassReturn"
}
