<?php
$applicationContext = \TYPO3\CMS\Core\Core\Environment::getContext();

// Get sub-context, if there is one
$context = (string)$applicationContext;
if (strrpos($context, '/') !== false) {
    $context = substr($context, strrpos($context, "/") + 1);
}

$GLOBALS['TYPO3_CONF_VARS']['SYS']['sitename'] .= ' [' . (string)$context . ']';

$environmentConfigFile = getenv('TYPO3_PATH_WEB') . '/local/config/server-environment.php';
if (file_exists($environmentConfigFile)) {
    require($environmentConfigFile);
}

$contextConfigFile = $_ENV['TYPO3_PATH_WEB'] . '/typo3conf/context/' . (string)$context . '.php';
if (file_exists($contextConfigFile)) {
    require($contextConfigFile);
}

//echo $context . LF;
//print_r ($GLOBALS['TYPO3_CONF_VARS']);
//die();
