<?php
return [
    'BE' => [
        'adminOnly' => 0,
        'compressionLevel' => '0',
        'cookieName' => 'be_typo_user',
        'lockIP' => 0,
        'lockSSL' => true,
    ],
    'DB' => [
        'Connections' => [
            'Default' => [
                'charset' => 'utf8',
                'driver' => 'mysqli',
            ],
        ],
    ],
    'EXT' => [],
    'EXTCONF' => [
        'lang' => [
            'availableLanguages' => [
                'nl',
            ],
        ],
    ],
    'EXTENSIONS' => [
        'backend' => [
            'backendFavicon' => '',
            'backendLogo' => '',
            'loginBackgroundImage' => '',
            'loginFootnote' => '',
            'loginHighlightColor' => '',
            'loginLogo' => '',
            'loginLogoAlt' => '',
        ],
        'bootstrap_package' => [
            'disableCssProcessing' => '0',
            'disableFontLoader' => '0',
            'disableGoogleFontCaching' => '0',
            'disablePageTsBackendLayouts' => '1',
            'disablePageTsContentElements' => '1',
            'disablePageTsRTE' => '1',
            'disablePageTsTCADefaults' => '0',
            'disablePageTsTCEFORM' => '1',
            'disablePageTsTCEMAIN' => '1',
        ],
        'extensionmanager' => [
            'automaticInstallation' => '1',
            'offlineMode' => '0',
        ],
        'news' => [
            'advancedMediaPreview' => '1',
            'archiveDate' => 'date',
            'categoryBeGroupTceFormsRestriction' => '0',
            'categoryRestriction' => '',
            'contentElementRelation' => '1',
            'dateTimeNotRequired' => '0',
            'hidePageTreeForAdministrationModule' => '0',
            'manualSorting' => '0',
            'prependAtCopy' => '1',
            'resourceFolderImporter' => '/news_import',
            'rteForTeaser' => '0',
            'showAdministrationModule' => '1',
            'slugBehaviour' => 'unique',
            'storageUidImporter' => '1',
            'tagPid' => '1',
        ],
        'scheduler' => [
            'maxLifetime' => '1440',
            'showSampleTasks' => '1',
        ],
    ],
    'FE' => [
        'cookieName' => 'fe_typo_user',
        'disableNoCacheParameter' => false,
        'lockIP' => 0,
        'pageNotFoundOnCHashError' => false,
    ],
    'GFX' => [
        'jpg_quality' => '80',
        'processor' => 'GraphicsMagick',
        'processor_allowTemporaryMasksAsPng' => 0,
        'processor_allowUpscaling' => false,
        'processor_colorspace' => 'RGB',
        'processor_effects' => true,
        'processor_enabled' => '1',
        'processor_path' => '/usr/bin/',
    ],
    'MAIL' => [
        'transport' => 'sendmail',
        'transport_sendmail_command' => '/usr/sbin/sendmail -t -i ',
        'transport_smtp_encrypt' => '',
        'transport_smtp_password' => '',
        'transport_smtp_server' => '',
        'transport_smtp_username' => '',
    ],
    'SYS' => [
        'cookieDomain' => '/(\\.theballandi|theballandi\\.albertvanderveen)\\.com/',
        'encryptionKey' => '1e0434beadcb10d8814f0e3804ded8a3eb97efdeb1d6309f2d5ce2a33357d8beba5498e010537c48fac155b02cff0571',
        'features' => [
            'TypoScript.strictSyntax' => false,
            'felogin.extbase' => true,
            'fluidBasedPageModule' => true,
            'newTranslationServer' => false,
            'rearrangedRedirectMiddlewares' => true,
            'redirects.hitCount' => false,
            'security.backend.enforceReferrer' => true,
            'security.backend.htmlSanitizeRte' => false,
            'security.frontend.htmlSanitizeParseFuncDefault' => false,
            'security.frontend.keepSessionDataOnLogout' => false,
            'security.usePasswordPolicyForFrontendUsers' => true,
            'simplifiedControllerActionDispatching' => false,
            'unifiedPageTranslationHandling' => true,
            'yamlImportsFollowDeclarationOrder' => false,
        ],
        'setMemoryLimit' => 512,
        'sitename' => 'The Ball And I',
        'systemLocale' => 'nl_NL.UTF-8',
        'systemMaintainers' => [
            1,
        ],
    ],
];
